Bug 1291017 - seahorse sync and sign issues
seahorse sync and sign issues
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: seahorse (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-12 15:27 EST by Richard Jasmin
Modified: 2016-07-19 14:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:35:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Jasmin 2015-12-12 15:27:21 EST
Description of problem:
I guess this is a two-fer.
gpg and seahorse should be always in sync as seahorse is pulling info from somewhere. sync with seahorse does not necessarily sync gpg.(but it should)

sign: If you start to sign keys(to benefit community) like for rpmfusion or the like, you get similar keys pulled in, relatives, etc. etc. This works fine until you stumble upon a master web key.

Golly, what do I mean?

pub   1024D/65D0FD58 2003-07-11 [expires: 2033-07-03]
uid                  CA Cert Signing Authority (Root CA) <gpg@cacert.org>
sub   2048g/113ED0F2 2003-07-11 [expires: 2033-07-03]

Once this imports, not only is singing via console broken but seahorse freezes on key load now.Well it does for this particular key. You can open(per se) the others but to a point.

Then you get this on the console:

(seahorse:20755): GLib-GObject-WARNING **: invalid unclassed pointer in cast to 'SeahorseKeyManager'

(seahorse:20755): GLib-GObject-WARNING **: instance with invalid (NULL) class pointer

(seahorse:20755): GLib-GObject-CRITICAL **: g_signal_emit_by_name: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

.
.
.
.

over and over again

Version-Release number of selected component (if applicable):
22

How reproducible:
once populated with keys(go sign some)

Steps to Reproduce:
see above

Actual results:
I cant open any keys!

Expected results:
I should be able to open them.

Additional info:
Gee whiz when importing RPMFusion keys.Key said it needed some sign.Same with kompozer.
Comment 1 Fedora End Of Life 2016-07-19 14:35:58 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.